# -*- coding: utf-8 -*-
# 查询版本号
# 作者: 陈磊
# 时间: 2019-10-23
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog


class ApiInfoVersion(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用查询版本号")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/apiinfo/version"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.response = ""

        self.api = UtilsRequest()

    def get_response(self):
        self.response = self.api.post(url=self._url, json=self._json)
