# -*- coding: utf-8 -*-
# 删除主机原型
# 作者: 陈磊
# 时间: 2019-11-13
from WorkApi.ApiBase import ApiBase
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog


class HostPrototypeDelete(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用删除主机原型")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/hostprototype/delete"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.local_json = {}
        self.response = ""

        self.hostids = None

        self.api = UtilsRequest()

    def get_response(self):
        base = ApiBase()
        base.dict_add_key(_key="hostids", value=self.hostids)
        self.local_json = base._json
        self._json = self.local_json
        self.response = self.api.post(url=self._url, json=self._json)
