# -*- coding: utf-8 -*-
# 查询主机中的脚本
# 作者: 陈磊
# 时间: 2019-10-23
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog


class GetScriptsByHosts(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用查询主机中的脚本")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/script/getscriptsbyhosts"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.response = ""

        self.hostIds = []
        self.api = UtilsRequest()

    def hostIds_add(self, hostId):
        """
        :param hostId:
        :return:
        """
        self.hostIds.append(hostId)

    def get_response(self):
        self._json = self.hostIds
        self.response = self.api.post(url=self._url, json=self._json)
