# -*- coding: utf-8 -*-
# 查询字典类型
# 作者: 陈磊
# 时间: 2019-11-19
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class AdminSysDictGetDictTypes(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用查询字典类型")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/admin/sys/dict/getDictTypes"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.api = UtilsRequest()

    def get_response(self):
        self._json = self.local_json
        self.response = self.api.post(url=self._url, json=self._json)
