# -*- coding: utf-8 -*-
# 删除应用
# 作者: 陈磊
# 时间: 2019-10-23
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog


class ApplicationDelete(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用删除应用")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/application/delete"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.response = ""

        self.applicationIds = []
        self.api = UtilsRequest()

    def applicationIds_add(self, applicationId):
        """
        :param applicationId:
        :return:
        """
        self.applicationIds.append(applicationId)

    def get_response(self):
        self._json = self.applicationIds
        self.response = self.api.post(url=self._url, json=self._json)
