# -*- coding: utf-8 -*-
# 删除脚本
# 作者: 陈磊
# 时间: 2019-10-23
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog


class ScriptDelete(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用删除脚本")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/script/delete"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.response = ""

        self.scriptIds = []
        self.api = UtilsRequest()

    def scriptIds_add(self, scriptId):
        """
        :param scriptId:
        :return:
        """
        self.scriptIds.append(scriptId)

    def get_response(self):
        self._json = self.scriptIds
        self.response = self.api.post(url=self._url, json=self._json)
