# -*- coding: utf-8 -*-
# 执行脚本
# 作者: 陈磊
# 时间: 2019-10-22
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog


class ScriptExecute(object):
    def __init__(self, _host, hostid=None, scriptid=None):
        """
        :param _host: 域名
        :param hostid : 主机ID
        :param scriptid: 脚本ID
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用执行脚本")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/script/execute"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.response = ""

        self.hostid = hostid
        self.scriptid = scriptid

        self.api = UtilsRequest()

    def get_response(self):
        self._json = {
            "hostid": self.hostid,
            "scriptid": self.scriptid,
        }
        self.response = self.api.post(url=self._url, json=self._json)
