# -*- coding: utf-8 -*-
# 删除经验手册
# 作者: 陈磊
# 时间: 2019-11-18
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class ExperienceDelete(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用删除经验手册")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/experience/delete"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.experienceids = None

        self.api = UtilsRequest()

    def get_response(self):

        base = ApiBase()
        base.dict_add_key(_key="experienceids", value=self.experienceids)

        self.local_json = base._json

        self._json = self.local_json
        self.response = self.api.post(url=self._url, json=self._json)
